<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="ormmapping:Untitled.cfg.xml/Hibernate">
  <database-model serializer="dbm" rdbms="MYSQL" format-version="4.1">
    <root id="1"/>
    <schema id="2" parent="1" name="colegio">
      <Current>1</Current>
      <Visible>1</Visible>
    </schema>
    <schema id="3" parent="1" name="ejemplotaller1"/>
    <schema id="4" parent="1" name="information_schema"/>
    <schema id="5" parent="1" name="mysql"/>
    <schema id="6" parent="1" name="performance_schema"/>
    <schema id="7" parent="1" name="sys"/>
    <table id="8" parent="2" name="actividad"/>
    <table id="9" parent="2" name="anotacion"/>
    <table id="10" parent="2" name="apoderado"/>
    <table id="11" parent="2" name="asignatura"/>
    <table id="12" parent="2" name="asistencia"/>
    <table id="13" parent="2" name="colegio"/>
    <table id="14" parent="2" name="curso"/>
    <table id="15" parent="2" name="estudiante"/>
    <table id="16" parent="2" name="nota"/>
    <table id="17" parent="2" name="planificacion"/>
    <table id="18" parent="2" name="profesor"/>
    <column id="19" parent="8" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="20" parent="8" name="asignaturauid">
      <Position>2</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="21" parent="8" name="fecha">
      <Position>3</Position>
      <DataType>date|0</DataType>
    </column>
    <column id="22" parent="8" name="tipo">
      <Position>4</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <index id="23" parent="8" name="FKactividad163929">
      <ColNames>asignaturauid</ColNames>
    </index>
    <key id="24" parent="8" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="25" parent="8" name="FKactividad163929">
      <ColNames>asignaturauid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>asignatura</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <column id="26" parent="9" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="27" parent="9" name="profesoruid">
      <Position>2</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="28" parent="9" name="estudianteuid">
      <Position>3</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="29" parent="9" name="descripcion">
      <Position>4</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <column id="30" parent="9" name="positiva">
      <Position>5</Position>
      <DataType>tinyint(1)|0</DataType>
    </column>
    <index id="31" parent="9" name="FKanotacion37310">
      <ColNames>estudianteuid</ColNames>
    </index>
    <index id="32" parent="9" name="FKanotacion580067">
      <ColNames>profesoruid</ColNames>
    </index>
    <key id="33" parent="9" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="34" parent="9" name="FKanotacion580067">
      <ColNames>profesoruid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>profesor</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <foreign-key id="35" parent="9" name="FKanotacion37310">
      <ColNames>estudianteuid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>estudiante</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <column id="36" parent="10" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="37" parent="10" name="nombre">
      <Position>2</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <column id="38" parent="10" name="rut">
      <Position>3</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <key id="39" parent="10" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="40" parent="11" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="41" parent="11" name="Cursouid">
      <Position>2</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="42" parent="11" name="profesoruid">
      <Position>3</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="43" parent="11" name="nombre">
      <Position>4</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <index id="44" parent="11" name="FKasignatura430482">
      <ColNames>profesoruid</ColNames>
    </index>
    <index id="45" parent="11" name="FKasignatura938964">
      <ColNames>Cursouid</ColNames>
    </index>
    <key id="46" parent="11" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="47" parent="11" name="FKasignatura938964">
      <ColNames>Cursouid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>curso</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <foreign-key id="48" parent="11" name="FKasignatura430482">
      <ColNames>profesoruid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>profesor</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <column id="49" parent="12" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="50" parent="12" name="estudianteuid">
      <Position>2</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="51" parent="12" name="dia">
      <Position>3</Position>
      <DataType>date|0</DataType>
    </column>
    <column id="52" parent="12" name="asistio">
      <Position>4</Position>
      <DataType>tinyint(1)|0</DataType>
    </column>
    <index id="53" parent="12" name="FKasistencia599786">
      <ColNames>estudianteuid</ColNames>
    </index>
    <key id="54" parent="12" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="55" parent="12" name="FKasistencia599786">
      <ColNames>estudianteuid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>estudiante</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <column id="56" parent="13" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="57" parent="13" name="nombre">
      <Position>2</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <key id="58" parent="13" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="59" parent="14" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="60" parent="14" name="Colegiouid">
      <Position>2</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="61" parent="14" name="nivel">
      <Position>3</Position>
      <DataType>int(10)|0</DataType>
    </column>
    <column id="62" parent="14" name="letra">
      <Position>4</Position>
      <DataType>varchar(1)|0</DataType>
    </column>
    <index id="63" parent="14" name="FKcurso363090">
      <ColNames>Colegiouid</ColNames>
    </index>
    <key id="64" parent="14" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="65" parent="14" name="FKcurso363090">
      <ColNames>Colegiouid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>colegio</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <column id="66" parent="15" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
      <SequenceIdentity>1</SequenceIdentity>
    </column>
    <column id="67" parent="15" name="Cursouid">
      <Position>2</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="68" parent="15" name="Apoderadouid">
      <Position>3</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="69" parent="15" name="anotacionuid">
      <Position>4</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="70" parent="15" name="notauid">
      <Position>5</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="71" parent="15" name="asistenciauid">
      <Position>6</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="72" parent="15" name="nombre">
      <Position>7</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <column id="73" parent="15" name="rut">
      <Position>8</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <index id="74" parent="15" name="FKestudiante168954">
      <ColNames>Apoderadouid</ColNames>
    </index>
    <index id="75" parent="15" name="FKestudiante725595">
      <ColNames>Cursouid</ColNames>
    </index>
    <key id="76" parent="15" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="77" parent="15" name="FKestudiante725595">
      <ColNames>Cursouid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>curso</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <foreign-key id="78" parent="15" name="FKestudiante168954">
      <ColNames>Apoderadouid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>apoderado</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <column id="79" parent="16" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="80" parent="16" name="estudianteuid">
      <Position>2</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="81" parent="16" name="asignaturauid">
      <Position>3</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="82" parent="16" name="valor">
      <Position>4</Position>
      <DataType>int(10)|0</DataType>
    </column>
    <index id="83" parent="16" name="FKnota392497">
      <ColNames>asignaturauid</ColNames>
    </index>
    <index id="84" parent="16" name="FKnota40017">
      <ColNames>estudianteuid</ColNames>
    </index>
    <key id="85" parent="16" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <foreign-key id="86" parent="16" name="FKnota40017">
      <ColNames>estudianteuid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>estudiante</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <foreign-key id="87" parent="16" name="FKnota392497">
      <ColNames>asignaturauid</ColNames>
      <RefSchemaName>colegio</RefSchemaName>
      <RefTableName>asignatura</RefTableName>
      <RefColNames>uid</RefColNames>
    </foreign-key>
    <column id="88" parent="17" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <key id="89" parent="17" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
    <column id="90" parent="18" name="uid">
      <Position>1</Position>
      <DataType>int(10)|0</DataType>
      <NotNull>1</NotNull>
    </column>
    <column id="91" parent="18" name="nombre">
      <Position>2</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <column id="92" parent="18" name="rut">
      <Position>3</Position>
      <DataType>varchar(100)|0</DataType>
    </column>
    <key id="93" parent="18" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <ColNames>uid</ColNames>
      <Primary>1</Primary>
    </key>
  </database-model>
</dataSource>